Subject: Re: 23.1.90; Glasses mode interferes with motion by screen line

From: Chong Yidong <[email-masked]>
Date: Mon, 18 Jan 2010 11:48:03 -0500

> After `emacs -Q', type `M-x glasses-mode'.  Fill the width of the
> screen with lowercase characters.  With the cursor in the right
> margin, type an uppercase character.  The glasses separator
> (underscore) is shown in column 0 of the continued line.  Go to the
> beginning of the line (C-a) and try to go to the next screen line
> (C-n).  The cursor doesn't move and "Args out of range: 0" appears in
> the modeline.  The "*Messages*" buffer gets "line-move-visual: Args
> out of range: 0".

Thanks for the bug report.  I can reproduce it with the 23.1.91 pretest,
but the error does not show up in the Emacs repository, so I think this
has already been fixed in the meantime.